Package org.eclipse.emf.cdo.lm.modules

# Interface ModulesFactory

All Superinterfaces:
  `EFactory`, `EModelElement`, `EObject`, `Notifier`

All Known Implementing Classes:
  `ModulesFactoryImpl`

public interface ModulesFactory extends EFactory
The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  - `ModulesPackage`
Generated
No Implement
  This interface is not intended to be implemented by clients.
No Extend
  This interface is not intended to be extended by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final ModulesFactory`
`eINSTANCE`
The singleton instance of the factory.

## Method Summary

Modifier and Type
Method
Description
`DependencyDefinition`
`createDependencyDefinition()`
Returns a new object of class 'Dependency Definition'.
`DependencyDefinition`
`createDependencyDefinition(String targetName)`
`DependencyDefinition`
`createDependencyDefinition(String targetName, VersionRange versionRange)`
`ModuleDefinition`
`createModuleDefinition()`
Returns a new object of class 'Module Definition'.
`ModulesPackage`
`getModulesPackage()`
Returns the package supported by this factory.

### Methods inherited from interface org.eclipse.emf.ecore.EFactory

`convertToString, create, createFromString, getEPackage, setEPackage`

### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

`getEAnnotation, getEAnnotations`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Field Details

### eINSTANCE

static final ModulesFactory eINSTANCE
The singleton instance of the factory.

Generated

## Method Details

### createModuleDefinition

ModuleDefinition createModuleDefinition()
Returns a new object of class 'Module Definition'.

Returns:
  a new object of class 'Module Definition'.
Generated

### createDependencyDefinition

DependencyDefinition createDependencyDefinition()
Returns a new object of class 'Dependency Definition'.

Returns:
  a new object of class 'Dependency Definition'.
Generated

### createDependencyDefinition

DependencyDefinition createDependencyDefinition(String targetName)

### createDependencyDefinition

DependencyDefinition createDependencyDefinition(String targetName, VersionRange versionRange)

### getModulesPackage

ModulesPackage getModulesPackage()
Returns the package supported by this factory.

Returns:
  the package supported by this factory.
Generated